GETTID(2)

NAME
gettid - get thread identification

SYNOPSIS
#include <sys/types.h>
#include <linux/unistd.h>

_syscall0(pid_t,gettid)

pid_t gettid(void);

DESCRIPTION
gettid returns the thread ID of the current process. This is equal to the process ID (as returned by getpid(2)), unless the process is part of a thread group (created by specifying the CLONE_THREAD flag to the clone(2) system call). All processes in the same thread group have the same PID, but each one has a unique TID.

RETURN VALUE
On success, returns the thread ID of the current process.

ERRORS
This call is always successful.

CONFORMING TO
gettid is Linux specific and should not be used in programs that are intended to be portable.

SEE ALSO
clone(2), fork(2), getpid(2)